org.jbpm.compiler.xml.processes

## Class ParameterHandler.ParameterWrapper

- java.lang.Object
- - org.jbpm.compiler.xml.processes.ParameterHandler.ParameterWrapper

- All Implemented Interfaces:
    org.drools.core.process.core.TypeObject, ValueObject
  Enclosing class:
    ParameterHandler

      public class ParameterHandler.ParameterWrapper
      extends Object
      implements org.drools.core.process.core.TypeObject, ValueObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterHandler.ParameterWrapper(org.drools.core.process.core.ParameterDefinition parameterDefinition, org.drools.core.process.core.Work work)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.drools.core.process.core.datatype.DataType` | `getType()`
    `Object` | `getValue()`
    `void` | `setType(org.drools.core.process.core.datatype.DataType type)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterHandler.ParameterWrapper

          public ParameterHandler.ParameterWrapper(org.drools.core.process.core.ParameterDefinition parameterDefinition,
                                           org.drools.core.process.core.Work work)

  - ### Method Detail

    - #### getType

          public org.drools.core.process.core.datatype.DataType getType()

      Specified by:
        `getType` in interface `org.drools.core.process.core.TypeObject`

    - #### setType

          public void setType(org.drools.core.process.core.datatype.DataType type)

      Specified by:
        `setType` in interface `org.drools.core.process.core.TypeObject`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `ValueObject`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `ValueObject`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.